const menu = document.querySelector('.hamburger');
const navLinks = document.querySelector('.nav-links');
const navMenu = document.querySelectorAll('.nav-links li');

menu.addEventListener('click', () => {
	navLinks.classList.toggle("open");
	menu.classList.toggle("chilled");
});

const scrollMap = document.querySelector('.scroll');

lastScrollTop = 0;

window.addEventListener("scroll", () => {
	const scrollTop = window.pageYOffset || document.createElement.scrollTop;
	if (scrollTop > lastScrollTop) {
		scrollMap.style.top = "-50%";
		navLinks.classList.remove("open");
		menu.classList.remove("chilled");
	} else {
		scrollMap.style.top = "0";
	}
	lastScrollTop = scrollTop;
});